CREATE procedure [C6StagingPeriodico].[RP_ST_RDR_VALUTE_DB_DTGIORNALIERI_pre_selective] as
begin 
	-- Log esecuzione
	INSERT INTO LOG_ESECUZIONE
		(Nome, Inizio, Nota)
	VALUES (
		'RP_ST_RDR_VALUTE_DB_DTGIORNALIERI_pre_selective',
		GETDATE(),
		'Elaborazione Trimestrale'
	)
	truncate table C6StagingPeriodico.RP_RDR_VALUTE_DB_DTGIORNALIERI
	insert into C6StagingPeriodico.RP_RDR_VALUTE_DB_DTGIORNALIERI
-- 2015/03/17 FCianfa inserimento cast per problemi di lettura dati
	SELECT DT1.ChiaveProdotto, DT1.Divisa, cast(DT1.Peso as numeric(18,7))
    FROM [CONSUNI_PERIODICO].[consulenzaUnicaFL].dbo.RDR_VALUTE_DB_DTGIORNALIERI DT1 
       INNER JOIN
          (SELECT chiaveProdotto, divisa, MAX(dtRiferimento) AS MAXDATE 
           FROM [CONSUNI_PERIODICO].[consulenzaUnicaFL].dbo.RDR_VALUTE_DB_DTGIORNALIERI 
           GROUP BY chiaveProdotto, divisa) DT2
       ON DT1.chiaveProdotto = DT2.chiaveProdotto
      AND DT1.DIVISA= DT2.DIVISA
      AND DT1.dtRiferimento = DT2.MAXDATE
    ORDER BY DT1.CHIAVEPRODOTTO, dt1.divisa
	/*pk 20160506
	insert into C6StagingPeriodico.RP_RDR_VALUTE_DB_DTGIORNALIERI 
select 9276460, divisa, peso 
from C6StagingPeriodico.RP_RDR_VALUTE_DB_DTGIORNALIERI 
where ChiaveProdotto = 261831 
pk 20160506*/
	-- Log esecuzione
	UPDATE
		LOG_ESECUZIONE
	SET
		Fine = GETDATE(),
		Tipo = 'INSERT',
		Righe = @@ROWCOUNT
	WHERE
		Nome = 'RP_ST_RDR_VALUTE_DB_DTGIORNALIERI_pre_selective' AND
		Inizio = (
			SELECT
				MAX(Inizio)
			FROM
				LOG_ESECUZIONE
			WHERE
				Nome = 'RP_ST_RDR_VALUTE_DB_DTGIORNALIERI_pre_selective'
		)
end